package com.ruoyi.demo.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.demo.entity.Commercial;
import com.ruoyi.demo.entity.vo.CommercialVo;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class CommercialBo {
    private String commercialId;
    private String commercialName;
    private String code;
    private String commercialType;
    private int state;
    private String principalName;
    private String principalTelephone;
    private String prove1;
    private String prove2;
    private String prove3;
    private String prove4;
    private String prove5;
    private String addrCode;
    private String addrCodeInfo;
    private String addrInfo;
    private LocalDateTime createTime;
    private Integer deleted;
    private List<String> apps;

    public CommercialBo(Commercial commercial) {
        this.commercialId = commercial.getCommercialId();
        this.commercialName = commercial.getCommercialName();
        this.code = commercial.getCode();
        this.commercialType = commercial.getCommercialType();
        this.state = commercial.getState();
        this.principalName = commercial.getPrincipalName();
        this.principalTelephone = commercial.getPrincipalTelephone();
        this.prove1 = commercial.getProve1();
        this.prove2 = commercial.getProve2();
        this.prove3 = commercial.getProve3();
        this.prove4 = commercial.getProve4();
        this.prove5 = commercial.getProve5();
        this.addrCode = commercial.getAddrCode();
        this.addrInfo = commercial.getAddrInfo();
        this.addrCodeInfo = commercial.getAddrCodeInfo();
        this.createTime = commercial.getCreateTime();
    }
}
